Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeTextureSet Class Reference

`#include <deSurface.hpp>`

Inheritance diagram for IdeTextureSet:

[legend]
Collaboration diagram for IdeTextureSet:

[legend]
List of all members.

## Public Member Functions
virtual u32 | GetNumTextures () const=0
virtual const char * | GetNameByIndex (s32 index) const=0
virtual s32 | GetIndexByName (const char *name) const=0
virtual IdeBitmapProxy * | GetTextureByIndex (s32 index) const=0
virtual IdeBitmapProxy * | GetTextureByName (const char *name) const=0
virtual deBoolean | AddTextureName (const char *name, s32 *index)=0
virtual deBoolean | SetTextureByIndex (s32 index, IdeBitmapProxy *tex)=0
virtual deBoolean | SetTextureByName (const char *name, IdeBitmapProxy *tex)=0
virtual IdeTextureSet * | CloneTextureSet (const char **names)=0
## Protected Member Functions
virtual | ~IdeTextureSet ()

## Constructor & Destructor Documentation

virtual IdeTextureSet::~IdeTextureSet | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual deBoolean IdeTextureSet::AddTextureName | ( | const char * | name,
|  | s32 * | index
| ) | `[pure virtual]`

| Implemented in deTextureSet.

virtual IdeTextureSet* IdeTextureSet::CloneTextureSet | ( | const char ** | names | ) | `[pure virtual]`

| Implemented in deTextureSet.

virtual s32 IdeTextureSet::GetIndexByName | ( | const char * | name | ) | const`[pure virtual]`

| Implemented in deTextureSet.

virtual const char* IdeTextureSet::GetNameByIndex | ( | s32 | index | ) | const`[pure virtual]`

| Implemented in deTextureSet.

virtual u32 IdeTextureSet::GetNumTextures | ( |  | ) | const`[pure virtual]`

| Implemented in deTextureSet.

virtual IdeBitmapProxy* IdeTextureSet::GetTextureByIndex | ( | s32 | index | ) | const`[pure virtual]`

| Implemented in deTextureSet.

virtual IdeBitmapProxy* IdeTextureSet::GetTextureByName | ( | const char * | name | ) | const`[pure virtual]`

| Implemented in deTextureSet.

virtual deBoolean IdeTextureSet::SetTextureByIndex | ( | s32 | index,
|  | IdeBitmapProxy * | tex
| ) | `[pure virtual]`

| Implemented in deTextureSet.

virtual deBoolean IdeTextureSet::SetTextureByName | ( | const char * | name,
|  | IdeBitmapProxy * | tex
| ) | `[pure virtual]`

| Implemented in deTextureSet.

The documentation for this class was generated from the following file:

- deSurface.hpp